<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core"

                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="pageTitleText">Conceptos</ui:define>

    <ui:define name="contentPart">

        <h:form>
            <p:growl 
                id="confirmListConGrowl" 
                showDetail="true" 
                sticky="false"/>                
            <div align="left" style="padding-right: 30px;">
            <h:outputText 
                value="Nómina -> Configuración -> Conceptos" 
                style="font-weight: bold; font-size: medium;" />
            </div>
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
             <h:outputText value="Configuración de Conceptos" />
            <br/><br/>
            
            <h:panelGrid columnClasses="centered7" columns="1" cellpadding="5">
            <p:dataTable 
                id="conceptos" 
                value="#{concepto.conceptoTO}" 
                style="font-size: small"
                var="valor" 
                emptyMessage="No se encontraron conceptos" 
                rowKey="#{valor.idConcepto}" 
                paginator="true"
                rows="5"
                rowsPerPageTemplate="5,10,15"
                paginatorPosition="bottom">
                
                  <f:facet name="header">
                    Conceptos
                    <p:commandButton 
                        id="btnAddCon" 
                        styleClass="botonpequeno"
                        title="Nuevo Concepto"
                        icon="ui-icon-plusthick"
                        style="display:inline; float:right; font-size:x-small;"
                          action="#{concepto.abreAccion(valor, 'ConceptoAdd')}" />


                </f:facet>
              

                <p:column 
                    width="5%"
                    style="font-size: small" 
                    headerText="ID"
                    filterMatchMode="contains"
                    sortBy="#{valor.idConcepto}">
                    
                    <h:outputText value="#{valor.idConcepto}" />
                </p:column>

                <p:column 
                    width="8%"
                    style="font-size: small" 
                    headerText="Clave"   
                    filterBy="#{valor.claveConcepto}"
                    filterMatchMode="contains"
                    sortBy="#{valor.claveConcepto}">
                    
                    <h:outputText value="#{valor.claveConcepto}" />
                </p:column>


                <p:column 
                    width="20%"
                    style="font-size: small" 
                    headerText="Nombre" 
                    filterBy="#{valor.nombreConcepto}" 
                    filterMatchMode="contains">
                    
                    <h:outputText value="#{valor.nombreConcepto}" />
                </p:column>


                <p:column 
                    width="10%"
                    style="font-size: small" 
                    headerText="Tipo Concepto"
                    filterMatchMode="contains"
                    sortBy="#{valor.rhNomTipoConcepto.tipoConcepto}"
                    filterBy="#{valor.rhNomTipoConcepto.tipoConcepto}">
                    
                    <h:outputText value="#{valor.rhNomTipoConcepto.tipoConcepto}" />
                </p:column>

                <p:column 
                    width="10%"
                    style="font-size: small" 
                    headerText="Tipo Cálculo"
                    filterMatchMode="contains"
                    sortBy="#{valor.rhNomTipoCalculo.tipoCalculo}"
                    filterBy="#{valor.rhNomTipoCalculo.tipoCalculo}">
                    
                    <h:outputText value="#{valor.rhNomTipoCalculo.tipoCalculo}" />
                </p:column>
                
                <p:column 
                    width="12%"
                    style="font-size: small" 
                    headerText="Tipo Nómina"
                    filterMatchMode="contains"
                    sortBy="#{valor.rhNomnCatTipoNomina.strTipoNomina}"
                    filterBy="#{valor.rhNomnCatTipoNomina.strTipoNomina}">
                    
                    <h:outputText value="#{valor.rhNomnCatTipoNomina.strTipoNomina}" />
                </p:column>
                
                <p:column 
                    width="10%"
                    style="font-size: small" 
                    headerText="Partida"
                    filterMatchMode="contains"
                    sortBy="#{valor.rhNomPartidasPresup.idPartidaPresup}"
                    filterBy="#{valor.rhNomPartidasPresup.clavePresupuestal}">
                    
                    <h:outputText value="#{valor.rhNomPartidasPresup.clavePresupuestal}" />
                </p:column>

                <p:column 
                    width="6%"
                    style="font-size: small" 
                    headerText="Estatus">
                    
                    <h:outputText value="#{valor.estatus}" />
                </p:column>

                <p:column 
                    width="12%"
                    headerText="Acciones" 
                    style="font-size: small">
                    <div align="center">
                    <p:commandButton 
                        id="btnAplicarAccionVerConcepto" 
                        styleClass="botonpequeno"
                        action="#{concepto.abreAccion(valor, 'ConceptoDetalle')}"
                        title="Ver concepto"
                        value="Ver"
                        style="display:inline;                                
                               font-size:x-small; 
                               width: 70px;
                               margin-bottom: 1px;">
                        
                        <f:setPropertyActionListener
                            value="#{valor}"
                            target="#{concepto.conceptoSelected}" />                    
                    </p:commandButton>
                        

                    <p:commandButton 
                        id="btnAplicarAccionEditConcepto" 
                        styleClass="botonpequeno"
                        action="#{concepto.abreAccion(valor, 'ConceptoEdit')}"
                        title="Editar concepto"
                        value="Editar"
                        style="display:inline;                               
                               font-size:x-small;
                               width: 70px;
                               margin-bottom: 1px;"/>
                    </div>
                </p:column>
            </p:dataTable>
            </h:panelGrid>
            <br/>
            <div align="center" >
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            
                            onclick="location='#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                        </p:commandButton>   
            </div>
                     
        </h:form>
    </ui:define>

</ui:composition>